<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\API\ProductController;
use App\Http\Controllers\API\CarmakeController;
use App\Http\Controllers\API\CarmodelController;
use App\Http\Controllers\API\CarbodystyleController;
use App\Http\Controllers\API\CartController;
// use App\Http\Controllers\API\SettingsController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});

Route::apiResource('products', ProductController::class);
Route::get('yearslist', [ProductController::class, 'yearsList']);
Route::apiResource('carmakers', CarmakeController::class);
Route::apiResource('carmodels', CarmodelController::class);
Route::apiResource('carbodystyles', CarbodystyleController::class);
Route::apiResource('cartitems', CartController::class);
// Route::apiResource('settings', SettingsController::class);
