<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Address extends Model
{
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'user_id',
        'name',
        'company',
        'contact',
        'phone',
        'fax',
        'address1',
        'address2',
        'city',
        'state',
        'zip',
        'country',
    ];

    public function user() {
        return $this->belongsTo(User::class);
    }
}
